/*
HEADER MAGAZINE
================================================ */
/* header magazine header */
#headerwrap {
	position: absolute;
	border: none;
	padding-bottom: 52px;
	background-color: transparent;
	color: #666;
}
#headerwrap a {
	color: #000;
}
#headerwrap a:hover {
	color: #666;
}
#header {
	text-align: inherit;
	padding: 1.5em 0;
}
.header-bar {
	float: left;
	width: 20%;
	max-width: 100%;
}
.navbar-wrapper {
	border-top: 1px solid rgba(200,200,200,.7);
	border-bottom: 1px solid rgba(200,200,200,.7);
	clear: both;
	position: absolute;
	width: 100%;
	left: 0;
	top: 100%;
	padding: 0;
}

/* header magazine site logo */
#site-logo {
	font-size: 2.1em;
	margin: 0;
	letter-spacing: 0;
}

/* header magazine site description */
#site-description {
	margin: 11px 0 0 4px;
	font-size: .8em;
	letter-spacing: 0;
	line-height: 1.5em;
}

/* header magazine cart wrap */
.cart-wrap {
	padding: 10px 0;
}

/* header magazine social widget */
#header .social-widget {
	float: right;
	margin: 1px 50px 0 0;
	padding: 10px 0;
}
.social-widget .widget {
	margin: 0;
}
.social-links .icon-medium i,
.social-widget div.rss a {
	padding: 6px;
	font-size: 19px;
	width: 15px;
	height: 15px;
	line-height: 15px;
	margin: 0 2px;
}
.social-widget div.rss a {
	vertical-align: middle;
}

/* header magazine searchform */
#searchform-wrap {
	margin: 10px 0;
	margin-left: .4em;
	-moz-transition: all 0.2s ease-in-out;
	-webkit-transition: all 0.2s ease-in-out;
	transition: all 0.2s ease-in-out;
	position: absolute;
	right: 0;
}
#headerwrap #searchform #s {
	height: auto;
	position: absolute;
	right: 0;
	border-radius: 0;
	border-left: solid 1px rgba(0,0,0,.07);
	padding: 6px 15px 6px 28px;
}
#headerwrap #searchform #s:focus, 
#headerwrap #searchform #s:hover, 
#headerwrap #searchform .icon-search:hover + #s {
	background: #fff;
	color: #000;
	border: solid 1px rgba(0,0,0,.1);
	padding-right: 35px;
	padding-left: 6px;
}
#headerwrap #searchform .icon-search:before {
	background: none;
	color: #000;
	margin-top: auto;
}

/* header magazine main nav */
#main-nav {
	-moz-transition: all 0.2s ease-in-out;
	-webkit-transition: all 0.2s ease-in-out;
	transition: all 0.2s ease-in-out;
	margin: 0;
	float: left;
}
#main-nav > li,
#headerwrap.fixed-header #main-nav > li {
	padding: 10px 0; /* for divider spacing */
}
#main-nav > li > a {
	border-left: 1px solid rgba(0,0,0,.07);
	padding: .225em 1em;
}
#main-nav > li:first-child > a {
	border: none;
	padding-left: 0;
}
#main-nav li:not(.themify-widget-menu) > ul {
	margin-top: -1px;
}

/* header magazine header widget */
.header-widget {
	float: right;
	clear: right;
	max-width: 78%;
	width: 80%;
	margin-top: 8px;
	font-size: .9em;
	line-height: 1.55em;
}
.header-widget .header-widget-inner {
	height: 100%;
	overflow: auto;
	-webkit-overflow-scrolling: touch;
}
.header-widget .widget {
	margin-top: 0;
	margin-bottom: 1.4em;
}
.header-widget .widgettitle {
	color: #000;
	font-size: 1.05em;
	margin-bottom: .75em;
}

/* header magazine fixed-header */
#headerwrap.fixed-header {
	padding-bottom: 0 !important;
	background-color: rgba(255,255,255,.95);
	min-height: 45px;
}
#headerwrap.fixed-header #header {
	padding-top: 0;
	padding-bottom: 0;
}
.fixed-header-on .navbar-wrapper {
	position: static;
	border-top: none;
}
.fixed-header-on #site-logo img {
	height: 30px;
	width: auto;
	transition: all .3s;
}
#headerwrap.fixed-header .social-widget,
#headerwrap.fixed-header #searchform-wrap {
	display: block;
}
#headerwrap.fixed-header #main-nav {
	position: relative;
}

/* cart icon */
#cart-icon {
	padding: .4em 1em;
	border-left: 1px solid rgba(0,0,0,.07);	
}

@media screen and (max-width: 1200px) {

	#headerwrap {
		padding-bottom: 0;
	}
	.mobile-menu-visible.sidemenu-right #headerwrap {
		left: -300px;
	}
	#headerwrap #header {
		height: auto;
		padding: 10px 0 5px;
		text-align: inherit;
		border-bottom: 1px solid rgba(200,200,200,.7);
	}
	.sidemenu {
		background-color: #fff;
		color: #666;
	}
	.header-bar {
		width: auto;
	}
		
	/* header magazine navbar */
	.header-magazine #headerwrap .navbar-wrapper {
		position: static;
		border: none;
		padding: 0;
	}

	/* main-nav link */
	#headerwrap #main-nav a,
	#headerwrap #main-nav ul a {
		color: #000;
	}

	/* header magazine social widget */
	.header-magazine #header .social-widget {
		margin: 0 0 1em;
		float: none;
		border: none;
	}
	.header-magazine .social-links .icon-medium i {
		margin: auto;
	}
	
	/* header magazine searchform */
	.header-magazine #headerwrap #searchform-wrap {
		position: static;
	}
	.header-magazine #headerwrap #searchform #s {
		margin: auto;
		padding: 8px 15px 8px 35px;
		position: static;
		height: auto;
		border: solid 1px rgba(0,0,0,.2);;
	}
	#headerwrap #searchform .icon-search:before {
		top: 8px;
	}
	
	.cart-wrap {
		padding: 0;
	}

	/* header magazine header widget */
	.header-magazine #headerwrap .header-widget {
		display: block;
		text-align: inherit;
		max-height: none !important;
		max-width: none;
		width: auto;
	}

	/* cart icon */
	.cart-icon {
		margin-left: .3em;
	}
	#cart-icon {
		padding: .2em 0 .2em .5em;		
	}

}